Bullet Collision Detection & Physics Library: btDispatcher Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btDispatcher Class Referenceabstract

The btDispatcher interface class can be used in combination with broadphase to dispatch calculations for overlapping pairs. More...

`#include <btDispatcher.h>`

Inheritance diagram for btDispatcher:
[legend]

## Public Member Functions
virtual | ~btDispatcher ()
virtual btCollisionAlgorithm * | findAlgorithm (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, btPersistentManifold *sharedManifold, ebtDispatcherQueryType queryType)=0
virtual btPersistentManifold * | getNewManifold (const btCollisionObject *b0, const btCollisionObject *b1)=0
virtual void | releaseManifold (btPersistentManifold *manifold)=0
virtual void | clearManifold (btPersistentManifold *manifold)=0
virtual bool | needsCollision (const btCollisionObject *body0, const btCollisionObject *body1)=0
virtual bool | needsResponse (const btCollisionObject *body0, const btCollisionObject *body1)=0
virtual void | dispatchAllCollisionPairs (btOverlappingPairCache *pairCache, const btDispatcherInfo &dispatchInfo, btDispatcher *dispatcher)=0
virtual int | getNumManifolds () const =0
virtual btPersistentManifold * | getManifoldByIndexInternal (int index)=0
virtual btPersistentManifold ** | getInternalManifoldPointer ()=0
virtual btPoolAllocator * | getInternalManifoldPool ()=0
virtual const btPoolAllocator * | getInternalManifoldPool () const =0
virtual void * | allocateCollisionAlgorithm (int size)=0
virtual void | freeCollisionAlgorithm (void *ptr)=0

## Detailed Description

The btDispatcher interface class can be used in combination with broadphase to dispatch calculations for overlapping pairs.

For example for pairwise collision detection, calculating contact points stored in btPersistentManifold or user callbacks (game logic).

Definition at line 76 of file btDispatcher.h.

## Constructor & Destructor Documentation

## ◆ ~btDispatcher()

btDispatcher::~btDispatcher | ( |  | ) |
| virtual

Definition at line 18 of file btDispatcher.cpp.

## Member Function Documentation

## ◆ allocateCollisionAlgorithm()

virtual void * btDispatcher::allocateCollisionAlgorithm | ( | int | size | ) |
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ clearManifold()

virtual void btDispatcher::clearManifold | ( | btPersistentManifold * | manifold | ) |
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ dispatchAllCollisionPairs()

virtual void btDispatcher::dispatchAllCollisionPairs | ( | btOverlappingPairCache * | pairCache,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btDispatcher * | dispatcher )
| pure virtual

Implemented in btCollisionDispatcher, and btCollisionDispatcherMt.

## ◆ findAlgorithm()

virtual btCollisionAlgorithm * btDispatcher::findAlgorithm | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | btPersistentManifold * | sharedManifold,
|  | ebtDispatcherQueryType | queryType )
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ freeCollisionAlgorithm()

virtual void btDispatcher::freeCollisionAlgorithm | ( | void * | ptr | ) |
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ getInternalManifoldPointer()

virtual btPersistentManifold ** btDispatcher::getInternalManifoldPointer | ( |  | ) |
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ getInternalManifoldPool() [1/2]

virtual const btPoolAllocator * btDispatcher::getInternalManifoldPool | ( |  | ) | const
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ getInternalManifoldPool() [2/2]

virtual btPoolAllocator * btDispatcher::getInternalManifoldPool | ( |  | ) |
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ getManifoldByIndexInternal()

virtual btPersistentManifold * btDispatcher::getManifoldByIndexInternal | ( | int | index | ) |
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ getNewManifold()

virtual btPersistentManifold * btDispatcher::getNewManifold | ( | const btCollisionObject * | b0,
|  | const btCollisionObject * | b1 )
| pure virtual

Implemented in btCollisionDispatcher, and btCollisionDispatcherMt.

## ◆ getNumManifolds()

virtual int btDispatcher::getNumManifolds | ( |  | ) | const
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ needsCollision()

virtual bool btDispatcher::needsCollision | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1 )
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ needsResponse()

virtual bool btDispatcher::needsResponse | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1 )
| pure virtual

Implemented in btCollisionDispatcher.

## ◆ releaseManifold()

virtual void btDispatcher::releaseManifold | ( | btPersistentManifold * | manifold | ) |
| pure virtual

Implemented in btCollisionDispatcher, and btCollisionDispatcherMt.

The documentation for this class was generated from the following files:

- btDispatcher.h
- btDispatcher.cpp